%define patch_name	kernel-fix-drivers-input

Name: %patch_name
Version: 2005.07.25
Release: alt1.M30.1

Summary: %patch_name - Linux kernel input subsystem and drivers fixes
License: GPL
Group: Development/Kernel
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

# Patches for 2.4.x

# Patches for 2.6.x
%source 2600	2.6_00_alt-synaptics-with-trackpoint.patch		2.6
%source 2601	2.6_01_gameport-probe-pnp-before-isa.patch		2.6
%source 2602	2.6_02_i8042-alienware-sentia-nomux.patch		2.6


BuildArch: noarch
BuildRequires: kernel-build-tools

%description
Linux kernel input subsystem and drivers fixes

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Mon Oct 24 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.25-alt1.M30.1
- Added:
  + 2.6_01_gameport-probe-pnp-before-isa.patch: probe PnP gameports before ISA,
    so that PnP ports that are already enabled get detected as PnP
  + 2.6_02_i8042-alienware-sentia-nomux.patch: i8042: add Alienware Sentia to
    NOMUX blacklist

* Mon Jul 25 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.25-alt1
- Updated for kernel 2.6.12.
- Removed obsolete patches:
  - 2.6_00_serio-acpi-ia64-only.patch
- Added:
  + 2.6_00_alt-synaptics-with-trackpoint.patch: fix setting packet size on
    passthrough port in synaptics driver to make it work with trackpoint on
    that port

* Mon Mar 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.03.14-alt1
- Updated for kernel 2.6.11.
- Removed obsolete patches:
  - 2.6_00_016-cs461x_gameport.patch
- Added:
  + 2.6_00_serio-acpi-ia64-only.patch: make ACPI detection of i8042 controllers
    ia64-only (many x86 PCs have broken BIOS tables).

* Wed Feb 09 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.02.09-alt1
- Initial release.
- Added patches from 2.6.10-as3:
  + 2.6_00_016-cs461x_gameport.patch
